﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSU-B25 (1 yr) RF Attenuator Accuracy VER /LPNX
INSTRUMENT:            Sub FSU-B25 (1 yr) Electronic Attenuator VER /LPNX
DATE:                  2011-01-14
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       25
NUMBER OF LINES:       399
CONFIGURATION:         Fluke 9640A-LPNX
CONFIGURATION:         Fluke 9640A-50
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSU series
#
#  Compatibility:
#        MET/CAL 7.3.26 or later
#
#  Subprocedures:
#        Sub FSU Take Sweep Only
#        Sub FSU Take Sweep (MKPK)
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         DevName = "Fluke 9640A-LPNX"
  1.002  MATH         AccMode = "Atten dB 50 Abs"
  1.003  JMPL         RF_ATTENUATOR                PSUBI("RF Attenuator")
  1.004  JMPL         ELEC_ATTEN_ACCURACY          PSUBI("Electronic")
  1.005  DISP         Called {Subprocedure Not Found}!
  1.006  END

  1.007  EVAL   Increment Test Number

# ====== Sub FSU-B25 (1 yr) RF Attenuator Accuracy VER /LPNX ===============

# It is assumed a 10 dB attenuator was previously connected in series between
# the 9640A-LPNX and the UUT.

  2.001  LABEL        RF_ATTENUATOR
  2.002  RSLT         =
  2.003  HEAD         {RF ATTENUATOR ACCURACY (Option FSU-B25)}
  2.004  RSLT         = Relative to 10 dB
  2.005  TARGET       -p
  2.006  HEAD         -2 RF Attenuator Setting: 10 dB (Reference)
  2.007  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  2.008  SCPI         INP:ATT 10 dB;:DISP:WIND:TRAC:Y:RLEV -35;SPAC LOG
  2.008  SCPI         DISP:WIND:TRAC:Y 100 dB;MODE AVER;:DET:FUNC RMS
  2.009  SCPI         FREQ:CENT 128E+6;SPAN 500;:BAND:RES 1E+3;VID 100
  2.010  SCPI         SWE:COUN 20
  2.011  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  2.011  LPNX         +Level = -50 dBm; Freq = 128 MHz
  2.012  CALL         Sub FSU Take Sweep Only
  2.013  MATH         RefUnc = ACCV2(DevName, AccMode, MEM1, 128E+6)
  2.014  MATH         @MkrMode = "Normal"
  2.015  CALL         Sub FSU Take Sweep (MKPK)
  2.016  SCPI         CALC:DELT:FUNC:FIX:STAT ON

  2.017  HEAD         -2 RF Attenuator Setting: 0 dB
  2.018  TSET         TDESC = [32]0 dB
  2.019  SCPI         INP:ATT 0dB;:DISP:WIND:TRAC:Y:RLEV -45
  2.020  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  2.020  LPNX         +Level = -60 dBm; Freq = 128 MHz
  2.021  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 128E+6)
  2.022  MATH         L[1] = RSS2(RefUnc, TestUnc)
  2.023  MATH         @MkrMode = "Delta"
  2.024  ACC          -10.000dB      L1U                                   +DW
  2.025  TARGET       -m
  2.026  CALL         Sub FSU Take Sweep (MKPK)
  2.027  SCPI         CALC:DELT:Y?[I]
  2.028  MEMCX        -10.000dB      0.200U

  3.001  HEAD         -2 RF Attenuator Setting: 5 dB
  3.002  TSET         TDESC = [32]5 dB
  3.003  SCPI         INP:ATT 5 dB;:DISP:WIND:TRAC:Y:RLEV -40
  3.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  3.004  LPNX         +Level = -55 dBm; Freq = 128 MHz
  3.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 128E+6)
  3.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
  3.007  ACC          -5.000dB       L1U                                   +DW
  3.008  TARGET       -m
  3.009  CALL         Sub FSU Take Sweep (MKPK)
  3.010  SCPI         CALC:DELT:Y?[I]
  3.011  MEMCX        -5.000dB       0.200U

  4.001  HEAD         -2 RF Attenuator Setting: 15 dB
  4.002  TSET         TDESC = 15 dB
  4.003  SCPI         INP:ATT 15 dB;:DISP:WIND:TRAC:Y:RLEV -30
  4.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  4.004  LPNX         +Level = -45 dBm; Freq = 128 MHz
  4.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 128E+6)
  4.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
  4.007  ACC          5.000dB        L1U                                   +DW
  4.008  TARGET       -m
  4.009  CALL         Sub FSU Take Sweep (MKPK)
  4.010  SCPI         CALC:DELT:Y?[I]
  4.011  MEMCX        5.000dB        0.200U

  5.001  HEAD         -2 RF Attenuator Setting: 20 dB
  5.002  TSET         TDESC = 20 dB
  5.003  SCPI         INP:ATT 20 dB;:DISP:WIND:TRAC:Y:RLEV -25
  5.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  5.004  LPNX         +Level = -40 dBm; Freq = 128 MHz
  5.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 128E+6)
  5.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
  5.007  ACC          10.000dB       L1U                                   +DW
  5.008  TARGET       -m
  5.009  CALL         Sub FSU Take Sweep (MKPK)
  5.010  SCPI         CALC:DELT:Y?[I]
  5.011  MEMCX        10.000dB       0.200U

  6.001  HEAD         -2 RF Attenuator Setting: 25 dB
  6.002  TSET         TDESC = 25 dB
  6.003  SCPI         INP:ATT 25 dB;:DISP:WIND:TRAC:Y:RLEV -20
  6.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  6.004  LPNX         +Level = -35 dBm; Freq = 128 MHz
  6.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 128E+6)
  6.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
  6.007  ACC          15.000dB       L1U                                   +DW
  6.008  TARGET       -m
  6.009  CALL         Sub FSU Take Sweep (MKPK)
  6.010  SCPI         CALC:DELT:Y?[I]
  6.011  MEMCX        15.000dB       0.200U

  7.001  HEAD         -2 RF Attenuator Setting: 30 dB
  7.002  TSET         TDESC = 30 dB
  7.003  SCPI         INP:ATT 30 dB;:DISP:WIND:TRAC:Y:RLEV -15
  7.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  7.004  LPNX         +Level = -30 dBm; Freq = 128 MHz
  7.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 128E+6)
  7.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
  7.007  ACC          20.000dB       L1U                                   +DW
  7.008  TARGET       -m
  7.009  CALL         Sub FSU Take Sweep (MKPK)
  7.010  SCPI         CALC:DELT:Y?[I]
  7.011  MEMCX        20.000dB       0.200U

  8.001  HEAD         -2 RF Attenuator Setting: 35 dB
  8.002  TSET         TDESC = 35 dB
  8.003  SCPI         INP:ATT 35 dB;:DISP:WIND:TRAC:Y:RLEV -10
  8.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  8.004  LPNX         +Level = -25 dBm; Freq = 128 MHz
  8.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 128E+6)
  8.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
  8.007  ACC          25.000dB       L1U                                   +DW
  8.008  TARGET       -m
  8.009  CALL         Sub FSU Take Sweep (MKPK)
  8.010  SCPI         CALC:DELT:Y?[I]
  8.011  MEMCX        25.000dB       0.200U

  9.001  HEAD         -2 RF Attenuator Setting: 40 dB
  9.002  TSET         TDESC = 40 dB
  9.003  SCPI         INP:ATT 40 dB;:DISP:WIND:TRAC:Y:RLEV -5
  9.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  9.004  LPNX         +Level = -20 dBm; Freq = 128 MHz
  9.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 128E+6)
  9.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
  9.007  ACC          30.000dB       L1U                                   +DW
  9.008  TARGET       -m
  9.009  CALL         Sub FSU Take Sweep (MKPK)
  9.010  SCPI         CALC:DELT:Y?[I]
  9.011  MEMCX        30.000dB       0.200U

 10.001  HEAD         -2 RF Attenuator Setting: 45 dB
 10.002  TSET         TDESC = 45 dB
 10.003  SCPI         INP:ATT 45 dB;:DISP:WIND:TRAC:Y:RLEV 0
 10.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 10.004  LPNX         +Level = -15 dBm; Freq = 128 MHz
 10.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 128E+6)
 10.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 10.007  ACC          35.000dB       L1U                                   +DW
 10.008  TARGET       -m
 10.009  CALL         Sub FSU Take Sweep (MKPK)
 10.010  SCPI         CALC:DELT:Y?[I]
 10.011  MEMCX        35.000dB       0.200U

 11.001  HEAD         -2 RF Attenuator Setting: 50 dB
 11.002  TSET         TDESC = 50 dB
 11.003  SCPI         INP:ATT 50 dB;:DISP:WIND:TRAC:Y:RLEV 5
 11.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 11.004  LPNX         +Level = -10 dBm; Freq = 128 MHz
 11.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 128E+6)
 11.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 11.007  ACC          40.000dB       L1U                                   +DW
 11.008  TARGET       -m
 11.009  CALL         Sub FSU Take Sweep (MKPK)
 11.010  SCPI         CALC:DELT:Y?[I]
 11.011  MEMCX        40.000dB       0.200U

 12.001  HEAD         -2 RF Attenuator Setting: 55 dB
 12.002  TSET         TDESC = 55 dB
 12.003  SCPI         INP:ATT 55 dB;:DISP:WIND:TRAC:Y:RLEV 10
 12.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 12.004  LPNX         +Level = -5 dBm; Freq = 128 MHz
 12.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 128E+6)
 12.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 12.007  ACC          45.000dB       L1U                                   +DW
 12.008  TARGET       -m
 12.009  CALL         Sub FSU Take Sweep (MKPK)
 12.010  SCPI         CALC:DELT:Y?[I]
 12.011  MEMCX        45.000dB       0.200U

 13.001  HEAD         -2 RF Attenuator Setting: 60 dB
 13.002  TSET         TDESC = 60 dB
 13.003  SCPI         INP:ATT 60 dB;:DISP:WIND:TRAC:Y:RLEV 15
 13.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 13.004  LPNX         +Level = 0 dBm; Freq = 128 MHz
 13.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 128E+6)
 13.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 13.007  ACC          50.000dB       L1U                                   +DW
 13.008  TARGET       -m
 13.009  CALL         Sub FSU Take Sweep (MKPK)
 13.010  SCPI         CALC:DELT:Y?[I]
 13.011  MEMCX        50.000dB       0.200U

 14.001  HEAD         -2 RF Attenuator Setting: 65 dB
 14.002  TSET         TDESC = 65 dB
 14.003  SCPI         INP:ATT 65 dB;:DISP:WIND:TRAC:Y:RLEV 20
 14.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 14.004  LPNX         +Level = +5 dBm; Freq = 128 MHz
 14.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 128E+6)
 14.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 14.007  ACC          55.000dB       L1U                                   +DW
 14.008  TARGET       -m
 14.009  CALL         Sub FSU Take Sweep (MKPK)
 14.010  SCPI         CALC:DELT:Y?[I]
 14.011  MEMCX        55.000dB       0.200U

 15.001  HEAD         -2 RF Attenuator Setting: 70 dB
 15.002  TSET         TDESC = 70 dB
 15.003  SCPI         INP:ATT 70 dB;:DISP:WIND:TRAC:Y:RLEV 25
 15.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 15.004  LPNX         +Level = +10 dBm; Freq = 128 MHz
 15.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 128E+6)
 15.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 15.007  ACC          60.000dB       L1U                                   +DW
 15.008  TARGET       -m
 15.009  CALL         Sub FSU Take Sweep (MKPK)
 15.010  SCPI         CALC:DELT:Y?[I]
 15.011  MEMCX        60.000dB       0.200U

 16.001  HEAD         -2 RF Attenuator Setting: 75 dB
 16.002  TSET         TDESC = 75 dB
 16.003  SCPI         INP:ATT 75 dB;:DISP:WIND:TRAC:Y:RLEV 30
 16.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 16.004  LPNX         +Level = +15 dBm; Freq = 128 MHz
 16.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 128E+6)
 16.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 16.007  ACC          65.000dB       L1U                                   +DW
 16.008  TARGET       -m
 16.009  CALL         Sub FSU Take Sweep (MKPK)
 16.010  SCPI         CALC:DELT:Y?[I]
 16.011  MEMCX        65.000dB       0.200U

 17.001  HEAD         -2
 17.002  LPNX         Reset
 17.003  MATH         DEL("@MkrMode")
 17.004  SCPI         SYST:PRES
 17.005  HEAD
 17.006  END

 17.007  EVAL   Increment Test Number

# ====== Sub FSU-B25 (1 yr) Electronic Attenuator VER /LPNX ================

# It is assumed a 10 dB attenuator is connected in series between the
# 9640A-LPNX and the UUT.

 18.001  LABEL        ELEC_ATTEN_ACCURACY
 18.002  RSLT         =
 18.003  HEAD         {ELECTRONIC ATTENUATOR ACCURACY (Option FSU-B25)}
 18.004  TARGET       -p
 18.005  HEAD         -2 Attenuator Setting: 10 dB (Reference)
 18.006  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
 18.007  SCPI         INP:ATT 10 dB;:DISP:WIND:TRAC:Y:RLEV -30;SPAC LOG
 18.007  SCPI         DISP:WIND:TRAC:Y 100 dB;MODE AVER;:DET:FUNC RMS
 18.008  SCPI         FREQ:CENT 128E+6;SPAN 500;:BAND:RES 1E+3;VID 100
 18.009  SCPI         SWE:COUN 20
 18.010  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 18.010  LPNX         +Level = -20 dBm; Freq = 128 MHz
 18.011  CALL         Sub FSU Take Sweep Only
 18.012  MATH         RefUnc = ACCV2(DevName, AccMode, MEM1, 128E+6)
 18.013  MATH         @MkrMode = "Normal"
 18.014  CALL         Sub FSU Take Sweep (MKPK)
 18.015  SCPI         CALC:DELT:FUNC:FIX:STAT ON

 18.016  HEAD         -2 Attenuator Setting: 0 dB
 18.017  TSET         TDESC = [32]0 dB
 18.018  SCPI         INP:EATT:STAT ON;:INP:EATT 0 DB
 18.019  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 18.019  LPNX         +Level = -20 dBm; Freq = 128 MHz
 18.020  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 128E+6)
 18.021  MATH         L[1] = RefUnc
 18.022  MATH         @MkrMode = "Delta"
 18.023  ACC          0.000dB        L1U                                   +DW
 18.024  TARGET       -m
 18.025  CALL         Sub FSU Take Sweep (MKPK)
 18.026  SCPI         CALC:DELT:Y?[I]
 18.027  MEMCX        0.000dB        0.300U

 19.001  HEAD         -2 Attenuator Setting: 5 dB
 19.002  TSET         TDESC = [32]5 dB
 19.003  SCPI         INP:EATT 5 DB;:DISP:WIND:TRAC:Y:RLEV -25
 19.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 19.004  LPNX         +Level = -15 dBm; Freq = 128 MHz
 19.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 128E+6)
 19.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 19.007  ACC          5.000dB        L1U                                   +DW
 19.008  TARGET       -m
 19.009  CALL         Sub FSU Take Sweep (MKPK)
 19.010  SCPI         CALC:DELT:Y?[I]
 19.011  MEMCX        5.000dB        0.300U

 20.001  HEAD         -2 Attenuator Setting: 10 dB
 20.002  TSET         TDESC = 10 dB
 20.003  SCPI         INP:EATT 10 DB;:DISP:WIND:TRAC:Y:RLEV -20
 20.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 20.004  LPNX         +Level = -10 dBm; Freq = 128 MHz
 20.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 128E+6)
 20.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 20.007  ACC          10.000dB       L1U                                   +DW
 20.008  TARGET       -m
 20.009  CALL         Sub FSU Take Sweep (MKPK)
 20.010  SCPI         CALC:DELT:Y?[I]
 20.011  MEMCX        10.000dB       0.300U

 21.001  HEAD         -2 Attenuator Setting: 15 dB
 21.002  TSET         TDESC = 15 dB
 21.003  SCPI         INP:EATT 15 DB;:DISP:WIND:TRAC:Y:RLEV -15
 21.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 21.004  LPNX         +Level = -5 dBm; Freq = 128 MHz
 21.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 128E+6)
 21.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 21.007  ACC          15.000dB       L1U                                   +DW
 21.008  TARGET       -m
 21.009  CALL         Sub FSU Take Sweep (MKPK)
 21.010  SCPI         CALC:DELT:Y?[I]
 21.011  MEMCX        15.000dB       0.300U

 22.001  HEAD         -2 Attenuator Setting: 20 dB
 22.002  TSET         TDESC = 20 dB
 22.003  SCPI         INP:EATT 20 DB;:DISP:WIND:TRAC:Y:RLEV -10
 22.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 22.004  LPNX         +Level = 0 dBm; Freq = 128 MHz
 22.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 128E+6)
 22.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 22.007  ACC          20.000dB       L1U                                   +DW
 22.008  TARGET       -m
 22.009  CALL         Sub FSU Take Sweep (MKPK)
 22.010  SCPI         CALC:DELT:Y?[I]
 22.011  MEMCX        20.000dB       0.300U

 23.001  HEAD         -2 Attenuator Setting: 25 dB
 23.002  TSET         TDESC = 25 dB
 23.003  SCPI         INP:EATT 25 DB;:DISP:WIND:TRAC:Y:RLEV -5
 23.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 23.004  LPNX         +Level = +5 dBm; Freq = 128 MHz
 23.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 128E+6)
 23.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 23.007  ACC          25.000dB       L1U                                   +DW
 23.008  TARGET       -m
 23.009  CALL         Sub FSU Take Sweep (MKPK)
 23.010  SCPI         CALC:DELT:Y?[I]
 23.011  MEMCX        25.000dB       0.300U

 24.001  HEAD         -2 Attenuator Setting: 30 dB
 24.002  TSET         TDESC = 30 dB
 24.003  SCPI         INP:EATT 30 DB;:DISP:WIND:TRAC:Y:RLEV 0
 24.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 24.004  LPNX         +Level = +10 dBm; Freq = 128 MHz
 24.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 128E+6)
 24.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 24.007  ACC          30.000dB       L1U                                   +DW
 24.008  TARGET       -m
 24.009  CALL         Sub FSU Take Sweep (MKPK)
 24.010  SCPI         CALC:DELT:Y?[I]
 24.011  MEMCX        30.000dB       0.300U

 25.001  LPNX         Reset
 25.002  MATH         DEL("@MkrMode")
 25.003  SCPI         SYST:PRES
 25.004  HEAD
 25.005  END
