﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSU (1 yr) Noise Display Tests
DATE:                  2011-01-06
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       309
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSU series
#
#  Compatibility:
#        MET/CAL 7.3.26 or later
#
#  Subprocedures:
#        Sub FSU Noise Display Test
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  Specifications from Spectrum Analyzer R&S® FSU Data Sheet, Version 14.00,
#   July 2009.
#
#  Applicable conditions:
#        0 dB RF attenuation
#        50 Ohm terminated input
#        Log scaling
#        Measured with 1 kHz RBW, Normalized to 1 Hz RBW
#        f <10 kHz  : 10 Hz FFT; Trace Averaging; Sweep Count 20
#        f >= 10 kHz: RBW 1 kHz; VBW 3 kHz; Zero span; Sweep time 50 ms;
#                     Detector Sample; Trace Averaging; Sweep Count 20;
#                     Marker Mean
#
#  Note that specifications for Displayed Average Noise Level in the specified
#  document are 10 dB lower than those previously stated. The difference,
#  however, lies in the fact that these specifications are now stated relative
#  to a 1 Hz bandwidth rather than the previous 10 Hz bandwidth, resulting in
#  a 10 dB improvement.
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           NOT(ISVAR("@B25_On"))
  1.002  MATH         @TestFreq = "20 Hz"
  1.003  MATH         M[1] = 50; @Nominal = -90
  1.004  CALL         Sub FSU Noise Display Test

  1.005  MATH         @TestFreq = "90 Hz"
  1.006  MATH         M[1] = 30; @Nominal = -110
  1.007  CALL         Sub FSU Noise Display Test

  1.008  MATH         @TestFreq = "900 Hz"
  1.009  MATH         M[1] = 20; @Nominal = -120
  1.010  CALL         Sub FSU Noise Display Test

  1.011  MATH         @TestFreq = "9 kHz"
  1.012  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.013  SCPI         INP:ATT 0 DB;:DISP:WIND:TRAC:Y:RLEV -10
  1.013  SCPI         FREQ:CENT 9E+3;SPAN 0;:BAND:RES 1E+3;:SWE:TIME 50E-3
  1.014  SCPI         DISP:WIND:TRAC:MODE AVER;:SWE:COUN 30;:DET:FUNC SAMP
  1.015  SCPI         CALC:MARK:STAT ON;FUNC:SUMM:MEAN ON
  1.016  MATH         M[1] = 30; @Nominal = -130
  1.017  CALL         Sub FSU Noise Display Test

  1.018  MATH         @TestFreq = "95 kHz"
  1.019  SCPI         DISP:WIND:TRAC:Y:RLEV -20
  1.020  CALL         Sub FSU Noise Display Test

  1.021  MATH         @TestFreq = "999 kHz"
  1.022  SCPI         DISP:WIND:TRAC:Y:RLEV -30
  1.023  MATH         M[1] = 20; @Nominal = -140
  1.024  CALL         Sub FSU Noise Display Test

  1.025  MATH         @TestFreq = "9.99 MHz"

  1.026  MATH         M[1] = 27; @Nominal = -153
  1.027  CALL         Sub FSU Noise Display Test
  1.028  ENDIF

  1.029  IF           ISVAR("@B23_On") || ISVAR("@B25_On")
  1.030  SCPI         DISP:WIND:TRAC:Y:RLEV -80
  1.031  ELSE
  1.032  SCPI         DISP:WIND:TRAC:Y:RLEV -60
  1.033  ENDIF

  1.034  IF           ISVAR("@B25_On")
  1.035  MATH         @TestFreq = "10.99 MHz"
  1.036  MATH         M[1] = 18; @Nominal = -162
  1.037  CALL         Sub FSU Noise Display Test
  1.038  ENDIF

  1.039  MATH         @TestFreq = "19.99 MHz"

  1.040  IF           ISVAR("@B25_On")
  1.041  MATH         M[1] = 18; @Nominal = -162
  1.042  ENDIF

  1.043  CALL         Sub FSU Noise Display Test

  1.044  MATH         @TestFreq = "49.99 MHz"

  1.045  IF           @FSU3 || @FSU8
  1.046  MATH         M[1] = 25; @Nominal = -155
  1.047  ELSEIF       NOT(ISVAR("@B23_On"))
  1.048  MATH         M[1] = 28; @Nominal = -152
  1.049  ENDIF

  1.050  CALL         Sub FSU Noise Display Test

  1.051  MATH         @TestFreq = "99.99 MHz"
  1.052  CALL         Sub FSU Noise Display Test

  1.053  MATH         @TestFreq = "199.99 MHz"
  1.054  CALL         Sub FSU Noise Display Test

  1.055  MATH         @TestFreq = "499.99 MHz"
  1.056  CALL         Sub FSU Noise Display Test

  1.057  MATH         @TestFreq = "999.9 MHz"
  1.058  CALL         Sub FSU Noise Display Test

  1.059  MATH         @TestFreq = "1499 MHz"
  1.060  CALL         Sub FSU Noise Display Test

  1.061  MATH         @TestFreq = "1999 MHz"
  1.062  CALL         Sub FSU Noise Display Test

  1.063  MATH         @TestFreq = "2499 MHz"

  1.064  IF           (@FSU3 || @FSU8) && NOT(ISVAR("@B25_On"))
  1.065  MATH         M[1] = 27; @Nominal = -153
  1.066  ELSEIF       ISVAR("@B25_On")
  1.067  MATH         M[1] = 20; @Nominal = -160
  1.068  ELSE
  1.069  MATH         M[1] = 30; @Nominal = -150
  1.070  ENDIF

  1.071  CALL         Sub FSU Noise Display Test

  1.072  MATH         @TestFreq = "2999 MHz"
  1.073  CALL         Sub FSU Noise Display Test

  1.074  MATH         @TestFreq = "3599 MHz"

  1.075  IF           (@FSU3 || @FSU8) && NOT(ISVAR("@B25_On"))
  1.076  MATH         M[1] = 28; @Nominal = -152
  1.077  ENDIF

  1.078  CALL         Sub FSU Noise Display Test

  1.079  IF           @FSU8 || (@Opt_B25 && ISVAR("@B23_On"))
  1.080  MATH         @TestFreq = "3601 MHz"

  1.081  IF           @Opt_B25 && ISVAR("@B23_On")
  1.082  MATH         M[1] = 18; @Nominal = -162
  1.083  ENDIF

  1.084  CALL         Sub FSU Noise Display Test
  1.085  ENDIF

  1.086  IF           NOT(@FSU3)&&(NOT(ISVAR("@B25_On")) || ISVAR("@B23_On"))
  1.087  MATH         @TestFreq = "3999 MHz"

  1.088  IF           @FSU8 && ISVAR("@B25_On")
  1.089  MATH         M[1] = 23; @Nominal = -157
  1.090  ELSE
  1.091  MATH         M[1] = 28; @Nominal = -152
  1.092  ENDIF

  1.093  CALL         Sub FSU Noise Display Test

  1.094  MATH         @TestFreq = "4499 MHz"
  1.095  CALL         Sub FSU Noise Display Test

  1.096  MATH         @TestFreq = "4999 MHz"
  1.097  CALL         Sub FSU Noise Display Test

  1.098  MATH         @TestFreq = "5499 MHz"
  1.099  CALL         Sub FSU Noise Display Test

  1.100  MATH         @TestFreq = "5999 MHz"
  1.101  CALL         Sub FSU Noise Display Test

  1.102  MATH         @TestFreq = "6499 MHz"
  1.103  CALL         Sub FSU Noise Display Test

  1.104  MATH         @TestFreq = "6999 MHz"
  1.105  CALL         Sub FSU Noise Display Test

  1.106  MATH         @TestFreq = "7499 MHz"

  1.107  IF           @FSU8 && NOT(ISVAR("@B25_On"))
  1.108  MATH         M[1] = 30; @Nominal = -150
  1.109  ENDIF

  1.110  CALL         Sub FSU Noise Display Test

  1.111  MATH         @TestFreq = "7999 MHz"
  1.112  CALL         Sub FSU Noise Display Test

  1.113  IF           @FSU26 && (NOT(ISVAR("@B25_On")) || ISVAR("@B23_On"))

  1.114  IF           ISVAR("@B23_On")
  1.115  MATH         @TestFreq = "8999 MHz"
  1.116  MATH         M[1] = 21; @Nominal = -159
  1.117  CALL         Sub FSU Noise Display Test
  1.118  ENDIF

  1.119  MATH         @TestFreq = "9999 MHz"

  1.120  IF           NOT(ISVAR("@B23_On"))
  1.121  MATH         M[1] = 30; @Nominal = -150
  1.122  ENDIF

  1.123  CALL         Sub FSU Noise Display Test

  1.124  IF           ISVAR("@B23_On")
  1.125  MATH         @TestFreq = "10999 MHz"
  1.126  CALL         Sub FSU Noise Display Test

  1.127  MATH         @TestFreq = "11999 MHz"
  1.128  CALL         Sub FSU Noise Display Test
  1.129  ENDIF

  1.130  MATH         @TestFreq = "12999 MHz"
  1.131  CALL         Sub FSU Noise Display Test

  1.132  IF           ISVAR("@B23_On")
  1.133  MATH         @TestFreq = "13999 MHz"
  1.134  MATH         M[1] = 23; @Nominal = -157
  1.135  CALL         Sub FSU Noise Display Test

  1.136  MATH         @TestFreq = "14999 MHz"
  1.137  CALL         Sub FSU Noise Display Test

  1.138  MATH         @TestFreq = "15999 MHz"
  1.139  CALL         Sub FSU Noise Display Test

  1.140  MATH         @TestFreq = "16999 MHz"
  1.141  CALL         Sub FSU Noise Display Test
  1.142  ENDIF

  1.143  MATH         @TestFreq = "17999 MHz"

  1.144  IF           NOT(ISVAR("@B23_On"))
  1.145  MATH         M[1] = 32; @Nominal = -148
  1.146  ENDIF

  1.147  CALL         Sub FSU Noise Display Test

  1.148  IF           ISVAR("@B23_On")
  1.149  MATH         @TestFreq = "18999 MHz"
  1.150  MATH         M[1] = 26; @Nominal = -154
  1.151  CALL         Sub FSU Noise Display Test

  1.152  MATH         @TestFreq = "19999 MHz"
  1.153  CALL         Sub FSU Noise Display Test

  1.154  MATH         @TestFreq = "20999 MHz"
  1.155  CALL         Sub FSU Noise Display Test
  1.156  ENDIF

  1.157  MATH         @TestFreq = "21999 MHz"

  1.158  IF           NOT(ISVAR("@B23_On"))
  1.159  MATH         M[1] = 33; @Nominal = -147
  1.160  ENDIF

  1.161  CALL         Sub FSU Noise Display Test

  1.162  IF           ISVAR("@B23_On")
  1.163  MATH         @TestFreq = "22999 MHz"
  1.164  MATH         M[1] = 30; @Nominal = -150
  1.165  CALL         Sub FSU Noise Display Test

  1.166  MATH         @TestFreq = "23999 MHz"
  1.167  CALL         Sub FSU Noise Display Test

  1.168  MATH         @TestFreq = "24999 MHz"
  1.169  CALL         Sub FSU Noise Display Test

  1.170  MATH         @TestFreq = "25999 MHz"
  1.171  CALL         Sub FSU Noise Display Test
  1.172  ENDIF

  1.173  MATH         @TestFreq = "26499 MHz"

  1.174  IF           NOT(ISVAR("@B23_On"))
  1.175  MATH         M[1] = 35; @Nominal = -145
  1.176  ENDIF

  1.177  CALL         Sub FSU Noise Display Test
  1.178  ENDIF

  1.179  ENDIF
