﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSU Characterize Power Splitter Tracking Errors
DATE:                  2011-01-14
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       108
STANDARD:              Agilent 11667B
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Various FSU models
#
#  Compatibility:
#        MET/CAL 7.3.26 or later
#
#  Subprocedures:
#        Sub RIF/WIF Directory
#        Sub WIF Error
#        Sub Characterize Power Splitter Outputs /4419,8485,SWPG
#
#  Required Files:
#        char_11667b_direct.jpg
#        char_11667b_using_20db.jpg
#
#  Additional Equipment Required:
#        Splitter, Power, Range: 128 MHz to 3.6 GHz, 3.5 mm, 50 Ohms,
#          Insertion Loss: 6 dB, Port Tracking: <0.25 dB, Equivalent
#          Output SWR: <1.22; Agilent® 11667B
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         CREATE TEMPORARY INITIALIZATION FILE
  1.002  MATH         @FileName = "psa_pwr_spltr_char.ini"
  1.003  CALL         Sub RIF/WIF Directory
  1.004  MATH         @IniFile = @RifWifDir & "\\" & @FileName

  1.005  IF           NOT(@Preamp)
  1.006  MATH         @Section = "timestamp"
  1.007  MATH         @Parameter = "time"
  1.008  MATH         TimeStamp = UTIME()
  1.009  MATH         Insert = WIF(@IniFile, @Section, @Parameter, TimeStamp)

  1.010  IF           NOT(Insert)
  1.011  CALL         Sub WIF Error

  1.012  IF           @Error
  1.013  END
  1.014  ENDIF

  1.015  ENDIF

  1.016  MATH         @TestName = "Power Splitter Char"
  1.017  TARGET       -p
  1.018  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.019  PIC          char_11667b_direct.jpg
  1.020  MATH         @Section = "buried_power_preamp_off"; @RefLvl = -6
  1.021  MATH         @LoLimit = -6.02; @HiLimit = -5.98; @TestLvl = +1

  1.022  ELSE

  1.023  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.024  PIC          char_11667b_using_20db.jpg
  1.025  MATH         @Section = "buried_power_preamp_on"; @RefLvl = -13
  1.026  MATH         @LoLimit = -13.02; @HiLimit = -12.98; @TestLvl = +13
  1.027  ENDIF

  1.028  DISP         The next routine operator intervention
  1.028  DISP         occurs in approximately 2 minutes...

  1.029  STD          Agilent 11667B

  1.030  MATH         @CenterFreq = 128E+6; @Chan = "A"
  1.031  CALL         Sub Characterize Power Splitter Outputs /4419,8485,SWPG

  1.032  MATH         @CenterFreq = 500E+6
  1.033  CALL         Sub Characterize Power Splitter Outputs /4419,8485,SWPG

  1.034  MATH         @CenterFreq = 1E+9
  1.035  CALL         Sub Characterize Power Splitter Outputs /4419,8485,SWPG

  1.036  MATH         @CenterFreq = 1.5E+9
  1.037  CALL         Sub Characterize Power Splitter Outputs /4419,8485,SWPG

  1.038  MATH         @CenterFreq = 2E+9
  1.039  CALL         Sub Characterize Power Splitter Outputs /4419,8485,SWPG

  1.040  MATH         @CenterFreq = 2.5E+9
  1.041  CALL         Sub Characterize Power Splitter Outputs /4419,8485,SWPG

  1.042  MATH         @CenterFreq = 3E+9
  1.043  CALL         Sub Characterize Power Splitter Outputs /4419,8485,SWPG

  1.044  MATH         @CenterFreq = 3.599E+9
  1.045  CALL         Sub Characterize Power Splitter Outputs /4419,8485,SWPG

  1.046  END
