﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSU Noise Display Test
DATE:                  2011-01-05
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       74
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSU series
#
#  Compatibility:
#        MET/CAL 7.3.26 or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  Applicable conditions:
#        0 dB RF attenuation
#        50 Ohm terminated input
#        Log scaling
#        f <10 kHz  : 10 Hz FFT; Trace Averaging; Sweep Count 20
#                   : Measured with 10 Hz RBW, Normalized to 1 Hz RBW
#        f >= 10 kHz: RBW 1 kHz; VBW 3 kHz; Zero span; Sweep time 50 ms;
#                     Detector Sample; Trace Averaging; Sweep Count 20;
#                     Marker Mean
#                   : Measured with 1 kHz RBW, Normalized to 1 Hz RBW
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         -2 Center Frequency: [V @TestFreq]
  1.002  SCPI         FREQ:CENT [V @TestFreq]

  1.003  IF           BASE(@TestFreq) < 9E+3
  1.004  TSET         TDESC = [V @TestFreq]; CPT = [V @Nominal]
  1.005  TSET         UUT_RES = 0.1
  1.006  TARGET       -m
  1.007  CALL         Sub FSU Take Sweep Only
  1.008  SCPI         CALC:MARK:Y?[I]
  1.009  MATH         MEM = MEM - 10
  1.010  ACC    -180  dBm            0.01U                                 +DW
  1.011  MATH         MEM1 = @Nominal
  1.012  MEMCX        dBm            -M1U

  2.001  ELSE

  2.002  TSET         TDESC = [V @TestFreq]; CPT = [V @Nominal]
  2.003  TSET         UUT_RES = 0.1
  2.004  TARGET       -m
  2.005  CALL         Sub FSU Take Sweep Only
  2.006  SCPI         CALC:MARK:FUNC:SUMM:MEAN:RES?[I]
  2.007  MATH         MEM = MEM - 30
  2.008  ACC    -180  dBm            0.01U                                 +DW
  2.009  MATH         MEM1 = @Nominal
  2.010  MEMCX        dBm            -M1U
  3.001  ENDIF
